function addLines(m,n, div)
    hold on
    for k = 1:m/div:m
        x = [1 n];
        y = [k k];
        plot(x,y,'Color','w','LineStyle','-');
        plot(x,y,'Color','k','LineStyle',':');
    end

    for k = 1:n/div:n
        x = [k k];
        y = [1 m];
        plot(x,y,'Color','w','LineStyle','-');
        plot(x,y,'Color','k','LineStyle',':');
    end
    hold off
end
